/*
 * $Id: user_config.h,v 1.1 2017/06/29 11:48:59 gaijin Exp $
 *
 * Configuration for local set-up (ie:- Access-point ID & PWD).
 */

#ifndef __USER_CONFIG_H__
#define __USER_CONFIG_H__


/*
 * GENERAL SETUP
 */
 //#define DEBUG				// Verbose serial output. 


/*
 * WIFI SETUP
 *
 * Number of times to test WiFi connection status before 
 * giving up.
 */
#define WIFI_RETRIES	100

/* Assign a static IP address to your ESP8266 */

#define WIFI_IPADDR	{ 192, 168, 1, 101 } //change this to fit your LAN settings
#define WIFI_NETMSK	{ 255, 255, 255, 0 } //change this to fit your LAN settings
#define WIFI_GATEWY	{ 192, 168, 1, 1 }   //change this to fit your LAN settings
#define WIFI_DNSSRV	{ 192, 168, 1, 1 }   //change this to fit your LAN settings
#define WIFI_CHANNEL	1		         //change this to fit your LAN settings


#define STA_SSID  "YOUR_WIFI_SSID" // SSID of the WiFi access point
#define STA_PASS  "YOUR_WIFI_PWD" // pwd of WiFi access point




/* Thingspeak setup
 *  *
 */
#define TS_WRITE_KEY "YOUR_THINGSPEAK WRITE_API_KEY" //ThingSpeack write API key
#define TS_CHANNEL_NR YOUR_THINGSPEAK_CHANNEL  //ThingSpeak Meteorino channel number

/* IFTTT setup
 *  
 */
#define IFTTT_KEY "YOUR_IFTTT_KEY"

#endif		// __USER_CONFIG_H__
